---
title: v0.32.0 - 24th March 2023
slug: changelog/v0.32.0
---

* Default to using sequential rather than random access read where possible.

* Replace GIF output `optimise` / `optimize` option with `reuse`.

* Add `progressive` option to GIF output for interlacing.

* Add `wrap` option to text image creation.

* Add `formatMagick` property to metadata of images loaded via *magick.

* Prefer integer (un)premultiply for faster resizing of RGBA images.

* Add `ignoreIcc` input option to ignore embedded ICC profile.

* Allow use of GPS (IFD3) EXIF metadata.
  [#2767](https://github.com/lovell/sharp/issues/2767)

* TypeScript definitions are now maintained and published directly, deprecating the `@types/sharp` package.
  [#3369](https://github.com/lovell/sharp/issues/3369)

* Prebuilt binaries: ensure macOS 10.13+ support, as documented.
  [#3438](https://github.com/lovell/sharp/issues/3438)

* Prebuilt binaries: prevent use of glib slice allocator, improves QEMU support.
  [#3448](https://github.com/lovell/sharp/issues/3448)

* Add focus point coordinates to output when using attention based crop.
  [#3470](https://github.com/lovell/sharp/pull/3470)
  [@ejoebstl](https://github.com/ejoebstl)

* Expose sharp version as `sharp.versions.sharp`.
  [#3471](https://github.com/lovell/sharp/issues/3471)

* Respect `fastShrinkOnLoad` resize option for WebP input.
  [#3516](https://github.com/lovell/sharp/issues/3516)

* Reduce sharpen `sigma` maximum from 10000 to 10.
  [#3521](https://github.com/lovell/sharp/issues/3521)

* Add support for `ArrayBuffer` input.
  [#3548](https://github.com/lovell/sharp/pull/3548)
  [@kapouer](https://github.com/kapouer)

* Add support to `extend` operation for `extendWith` to allow copy/mirror/repeat.
  [#3556](https://github.com/lovell/sharp/pull/3556)
  [@janaz](https://github.com/janaz)

* Ensure all async JS callbacks are wrapped to help avoid possible race condition.
  [#3569](https://github.com/lovell/sharp/issues/3569)

* Prebuilt binaries: support for tile-based output temporarily removed due to licensing issue.
  [#3581](https://github.com/lovell/sharp/issues/3581)

* Add support to `normalise` for `lower` and `upper` percentiles.
  [#3583](https://github.com/lovell/sharp/pull/3583)
  [@LachlanNewman](https://github.com/LachlanNewman)
